%define plugin check_rbl
%define nagiospluginsdir %{_prefix}/lib/nagios/plugins

# No binaries in this package
%define debug_package %{nil}

Name:          nagios-plugins-check_rbl
Version:       1.6.2
Release:       37.7
Summary:       A Nagios plugin to check an IP/Hostname (IPv4/IPv6) against various RBL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
Group:         Applications/System
License:       GPLv3+
URL:           https://github.com/matteocorti/check_rbl
Source:        https://github.com/matteocorti/check_rbl/releases/download/v%{version}/check_rbl-%{version}.tar.gz
BuildRequires:	nagios-plugins
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Monitoring::Plugin)
BuildRequires:	perl(Readonly)
BuildRequires:       perl(English)
BuildRequires:       perl(Socket)
BuildRequires:       perl(IO::Select)
BuildRequires:       perl(Net::DNS)
BuildRequires:       perl(Net::IP)
BuildRequires:       perl(Data::Validate::Domain)
BuildRequires:       perl(Data::Validate::IP)

Requires:	nagios-plugins
Requires:	perl(Monitoring::Plugin)
Requires:	perl(English)
Requires:	perl(Socket)
Requires:	perl(IO::Select)
Requires:	perl(Net::DNS)
Requires:	perl(Net::IP)
Requires:	perl(Readonly)
Requires:	perl(Data::Validate::Domain)
Requires:	perl(Data::Validate::IP)


%if 0%{?rhel} < 8
Requires:      yum-plugin-security
%endif

Obsoletes:     nagios-plugins-rbl

%description
%{summary}.


%prep
%setup -q -n %{plugin}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{nagiospluginsdir} \
    INSTALLVENDORSCRIPT=%{nagiospluginsdir}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name "*.pod" -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
#make test


%files
%defattr(-,root,root)
%doc AUTHORS Changes NEWS README.md COPYING COPYRIGHT
%dir %{_prefix}/lib/nagios
%{nagiospluginsdir}/*
%{_mandir}/man1/*.1*


%changelog
* Thu Jul  8 2021 Local OBS User <cs@linux-administrator.com>
- initial build version 1.6.2
